# rectangle.cpp File Reference

Implementation of the "Rectangle" layer. More...

`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <ETL/pen>`
`#include <ETL/misc>`
`#include "rectangle.h"`

## Functions

| SYNFIG_LAYER_INIT (Rectangle)
| SYNFIG_LAYER_SET_NAME (Rectangle,"rectangle")
| SYNFIG_LAYER_SET_LOCAL_NAME (Rectangle, N_("Rectangle"))
| SYNFIG_LAYER_SET_CATEGORY (Rectangle, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (Rectangle,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Rectangle,"$Id$")

## Detailed Description

Implementation of the "Rectangle" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Rectangle |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Rectangle | ,
|  | "rectangle" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Rectangle | ,
|  | N_("Rectangle") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Rectangle | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Rectangle | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Rectangle | ,
|  | "$Id$" |  |
| ) |  |  |